For the complete documentation index, see llms.txt. This page is also available as Markdown.

访问

生成代理服务器

GET /access/generate-proxy

查询示例:

curl -X GET https://resi-api.iproyal.com/v1/web-unblocker/access/generate-proxy \
     -H "Authorization: Bearer <your_api_token>"
<?php
$api_token = '<your_api_token>';
$url = 'https://resi-api.iproyal.com/v1/web-unblocker/access/generate-proxy';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HTTPGET, true);
$headers = [
    "Authorization: Bearer $api_token"
];
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
} else {
    echo $response;
}

curl_close($ch);
?>

查询结果:

{
  "proxy_string": "unblocker.iproyal.com:12323:enc321316127:h12BPqawfq1BBrk"
}

Last updated